std::has_trivial_default_constructor< _Tp > Struct Template Reference
Metaprogramming
Inheritance diagram for std::has_trivial_default_constructor< _Tp >:
[legend]

## Public Types

typedef integral_constant < bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type ()

## Static Public Attributes

static constexpr bool | value

## Detailed Description

### template<typename _Tp>
struct std::has_trivial_default_constructor< _Tp >

has_trivial_default_constructor (temporary legacy)

Definition at line 1211 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits